AlertEvents
Update alert event
Updates a specific alert event. Only alert events with kind ‘note’ (user-created notes) can be updated. System-generated events are immutable to maintain audit trail integrity.
PATCH
/
v1
/
alert_events
/
{id}
Update alert event
curl --request PATCH \
--url https://api.rootly.com/v1/alert_events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_events",
"attributes": {
"details": "<string>",
"user_id": 123
}
}
}
'import requests
url = "https://api.rootly.com/v1/alert_events/{id}"
payload = { "data": {
"type": "alert_events",
"attributes": {
"details": "<string>",
"user_id": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {type: 'alert_events', attributes: {details: '<string>', user_id: 123}}})
};
fetch('https://api.rootly.com/v1/alert_events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "alert_events",
"attributes": {
"alert_id": "<string>",
"source": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_id": 123,
"details": "<string>",
"user": {
"id": 123,
"name": "<string>",
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"full_name": "<string>",
"time_zone": "<string>"
},
"incident": {
"id": "<string>",
"sequential_id": 123,
"title": "<string>",
"slug": "<string>",
"kind": "<string>",
"status": "<string>",
"private": true,
"description": "<string>",
"started_at": "<string>",
"duration": 123,
"url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"schedule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"escalation_policies": [
{
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
},
"escalation_level": 123,
"escalation_target_type": "<string>",
"escalation_target": {
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {}
}
},
"slack_channel": {
"id": "<string>",
"slack_channel_name": "<string>",
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"incident_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Update an alert event. Note: Only alert events with kind='note' can be updated. You cannot change the kind field.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update alert event
